﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Charting;

public partial class Examples1_Default : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		RadChart1.DataSource = GetData();
		RadChart1.DataBind();
	}

	protected DataTable GetData()
	{
		DataTable dt = new DataTable();

		dt.Columns.Add("yValues", typeof(int));
		dt.Columns.Add("names", typeof(string));

		dt.Rows.Add(2, "item 1");
		dt.Rows.Add(5, "item 2");
		dt.Rows.Add(6, "item 3");
		dt.Rows.Add(4, "item 4");

		return dt;
	}

	protected void RadChart1_ItemDataBound(object sender, ChartItemDataBoundEventArgs e)
	{
		e.SeriesItem.ActiveRegion.Attributes = "target=_blank";
		switch (e.SeriesItem.Index)
		{
			case 0: // receivables to generate
				{
					e.SeriesItem.ActiveRegion.Tooltip = "Receivables to Generate";
					e.SeriesItem.ActiveRegion.Url = "http://www.google.com/";
					e.SeriesItem.ActiveRegion.Attributes = "onclick=\"window.open('http://www.google.com/', null); return false;\"";

					break;
				}
			case 1: // unsubmitted deals
				{
					e.SeriesItem.ActiveRegion.Tooltip = "Unsubmitted Deals";
					e.SeriesItem.ActiveRegion.Url = "http://www.google.com/";
					e.SeriesItem.ActiveRegion.Attributes = string.Format("onclick=\"Open({0}); return false;\"", "'UnsubmittedDeals'");
					break;
				}
			case 2: // unapproved deals
				{
					e.SeriesItem.ActiveRegion.Tooltip = "Unapproved Deals";
					e.SeriesItem.ActiveRegion.Url = "http://www.google.com/";
					e.SeriesItem.ActiveRegion.Attributes = string.Format("onclick=\"Open({0}); return false;\"", "'UnapprovedDeals'");
					break;
				}
			case 3: // unapproved payouts
				{
					e.SeriesItem.ActiveRegion.Tooltip = "Unapproved Payouts";
					e.SeriesItem.ActiveRegion.Url = "http://www.google.com/";
					e.SeriesItem.ActiveRegion.Attributes = string.Format("onclick=\"Open({0}); return false;\"", "'UnapprovedPayouts'");
					break;
				}
			default:
				break;
		}
	}

}